LEIA Docs

Create a Learning Bit draft set from an existing course lesson

POST
/courses/{courseId}/learning-bits

Authorization

AuthorizationBearer <token>

LEIA API key passed as Bearer token (recommended). Keys start with leia_sk_.

In: header

Path Parameters

courseId*string

Header Parameters

Idempotency-Key?string

Optional key for safely retrying this mutation

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/courses/string/learning-bits" \  -H "Content-Type: application/json" \  -d '{    "lessonId": "string"  }'
{
  "id": "string",
  "courseId": "string",
  "lessonId": "string",
  "status": "string",
  "renderJobId": "string",
  "bits": [
    {
      "id": "string",
      "title": "string",
      "script": "string",
      "status": "string",
      "order": 0
    }
  ]
}
Empty
Empty
Empty
Empty
Empty